CVE-2019-17025

MEDIUM

Description

Mozilla developers reported memory safety bugs present in Firefox 71. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code. This vulnerability affects Firefox < 72.

References

https://bugzilla.mozilla.org/buglist.cgi?bug_id=1328295%2C1328300%2C1590447%2C1590965%2C1595692%2C1597321%2C1597481

https://usn.ubuntu.com/4234-1/

https://www.mozilla.org/security/advisories/mfsa2020-01/

Details

Source: MITRE

Published: 2020-01-08

Updated: 2020-08-24

Type: CWE-787

Risk Information

CVSS v2.0

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 8.8

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.8

Severity: HIGH

Tenable Plugins

View all (3 total)

IDNameProductFamilySeverity
132854Ubuntu 16.04 LTS / 18.04 LTS / 19.04 / 19.10 : firefox vulnerabilities (USN-4234-1)NessusUbuntu Local Security Checks
medium
132709Mozilla Firefox < 72.0 Multiple VulnerabilitiesNessusWindows
medium
132708Mozilla Firefox < 72.0 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
medium